#

## garoute

Gate-array router

### Usage:

> garoute option

> > where option may be one of the following:
> > channel xl yl xh yh [type]
> >   Define a channel, with indicated coordinates.
> > channel [type]
> >   Define a channel
> > generate h|h [file]
> >   Generate channel definition for a horizontal (h) or vertical (v) routing channel.
> > help
> >   Print help information
> > nowarn
> >   Only warn if all locations of a terminal are unreachable.
> > route [netlist]
> >   Route the current cell
> > reset
> >   Clear all channel definitions
> > warn
> >   Leave feedback for each location of a terminal that is unreachable.

### Summary:

> The garoute command controls the gate-array router. There is currently practically no documentation for the gate-array router. This section shall be expanded.

### Implementation Notes:

> garoute is implemented as a built-in command in magic.

### See Also:

> channel

Return to command index

Last updated: October 6, 2004 at 2:35am